Name:          sxr
Version:       0.3.0
Release:       1%{?dist}
Summary:       A Scala source code browser
License:       BSD
URL:           https://github.com/harrah/browse
Source0:       https://github.com/harrah/browse/archive/v%{version}.tar.gz
# Default use sbt, avoid circular dep
Source1:       sxr-build.xml
# Custom pom file
Source2:       sxr-template-pom.xml

Patch0:        sxr-0.3.0-remove-internal-JQuery-support.patch

BuildRequires: java-devel
BuildRequires: javapackages-tools

BuildRequires: ant
BuildRequires: scala

Requires:      scala

Requires:      java
Requires:      javapackages-tools
BuildArch:     noarch

%description
Browsable Scala source code in HTML with:

- syntax highlighting
- types/applied implicits in tool-tips
- references/definition highlighted on mouse-over
- links to definition

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n browse-%{version}

cp -p %{SOURCE1} build.xml
cp -p %{SOURCE2} pom.xml
sed -i "s|@VERSION@|%{version}|" {build,pom}.xml

# Disable internal JQuery "all" support
%patch0 -p1

%build

ant jar doc

%install

mkdir -p %{buildroot}/%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}/%{_javadir}/%{name}.jar

mkdir -p %{buildroot}/%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}/%{_javadocdir}/%{name}
cp -rp target/doc/main/api/* %{buildroot}/%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE README.md

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE

%changelog
* Tue Jan 28 2014 gil cattaneo <puntogil@libero.it> 0.3.0-1
- initial rpm